Salome HOME
"salome test" integration.
[modules/yacs.git] / src / yacsloader_swig / Test / runUnitTest.sh
diff --git a/src/yacsloader_swig/Test/runUnitTest.sh b/src/yacsloader_swig/Test/runUnitTest.sh
new file mode 100644 (file)
index 0000000..49926df
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Copyright (C) 2006-2015  CEA/DEN, EDF R&D
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
+#
+# See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
+#
+
+# script used by "salome test" command
+../yacsloader/echoSrv &
+pidecho=$!
+echo $pidecho > "/tmp/YACSTEST_PidEcho"
+
+export TESTCOMPONENT_ROOT_DIR=`pwd`/../runtime
+
+python -m unittest discover
+ret=$?
+echo "exec status salome_test_driver " $ret
+
+kill -9 `cat "/tmp/YACSTEST_PidEcho"`
+
+exit $ret
\ No newline at end of file